grk::RateControl Class Reference

`#include <RateControl.h>`

## Static Public Member Functions

static void | convexHull (CodePass *pass, uint32_t numPasses)
static uint16_t | slopeToLog (double slope)
static double | slopeFromLog (uint16_t logSlope)

## Member Function Documentation

## convexHull()

void grk::RateControl::convexHull | ( | CodePass * | pass,
|  | uint32_t | numPasses
| ) |  |

static

References grk::grk_read(), and slopeToLog().

Referenced by grk::TileProcessor::pcrdBisectFeasible().

## slopeFromLog()

double grk::RateControl::slopeFromLog | ( | uint16_t | logSlope | ) |

static

References grk::grk_read(), grk::invScale, grk::log(), grk::scale, grk::shift, and grk::slopeCutoff.

## slopeToLog()

uint16_t grk::RateControl::slopeToLog | ( | double | slope | ) |

static

References grk::grk_read(), grk::log(), grk::scale, grk::shift, and grk::slopeCutoff.

Referenced by convexHull().

The documentation for this class was generated from the following files:

- RateControl.h
- RateControl.cpp